define({"0":{y:0,u:"../Content/P4Eclipse/about.html",l:-1,t:"How to use this guide | P4Eclipse",i:0.0191361160542771,a:"This manual provides information on using Helix Plugin for the Eclipse development environment (version 2022.2, released in September 2023)."},"1":{y:0,u:"../Content/P4Eclipse/basics.html",l:-1,t:"About P4Eclipse",i:0.0191361160542771,a:"P4Eclipse, the Eclipse plugin for Helix Core Server (P4D), integrates the most important features of Helix Server into the Eclipse IDE interface. P4Eclipse enables you to check files in and out, collaborate on code reviews with Helix Swarm, and perform various other versioning tasks directly from ..."},"2":{y:0,u:"../Content/P4Eclipse/changesettings.html",l:-1,t:"Configuring Perforce Server connections and working offline",i:0.0423167628423006,a:"Defining connections Connections enable you to browse the Helix Core Server (P4D) to import projects and obtain access to files under Perforce control. You define connections in the P4 Connections view of the Perforce perspective.\nTo define a connection, you specify the server host and port, your ..."},"3":{y:0,u:"../Content/P4Eclipse/adding.html",l:-1,t:"Putting a project under Perforce control ",i:0.0354028413051328,a:" Keep the Eclipse workspace and the Perforce client workspaces separate, and do not place the Eclipse metadata files under Perforce control.  The following procedure describes putting a Java project under Perforce control. The process for other languages will be similar to the process for Java.  To ..."},"4":{y:0,u:"../Content/P4Eclipse/sync.html",l:-1,t:"Retrieving a project from Perforce",i:0.0272694786797049,a:"To obtain access to files in Perforce depots, you  define connections  to Helix Core Servers. Using the connections, you can browse the contents of the Helix Servers in the P4 Connections view. By default, all files in the depot are displayed, but typically you have access only to a subset of the ..."},"5":{y:0,u:"../Content/P4Eclipse/revision_history.html",l:-1,t:"Displaying file status and history",i:0.127503850366454,a:"You can display the following types of information about files:\n File status: the current state of the file as managed by Helix Core Server, \n indicated by label decorations File properties: location, number of revisions, and so on. Displayed \n on the Perforce Properties dialog. Revision history: ..."},"6":{y:0,u:"../Content/P4Eclipse/checkout.html",l:-1,t:"Checking a project out",i:0.0191361160542771,a:"To ensure that you have up-to-date project files, right-click the project and choose Team \u003e Get Latest Revision, then right-click the project and choose Team \u003e Check Out. \n You can also open files or an entire project by dragging from the Navigator \n to a  changelist  in the Perforce perspective\u0027s ..."},"7":{y:0,u:"../Content/P4Eclipse/shelving.html",l:-1,t:"Shelving files",i:0.0354028413051328,a:"Shelving enables you to store copies of open files temporarily in the Helix Core Server without checking them in. Shelving is useful for a variety of purposes, including taking and restoring snapshots of in-progress work and reviewing other users\u0027 code before it\u0027s checked in. When you shelve a file, ..."},"8":{y:0,u:"../Content/P4Eclipse/swarm_review.html",l:-1,t:"Reviewing changes",i:0.0191361160542771,a:"Helix Swarm is a code review tool that allows you to review changes and collaborate with project members. The Eclipse integration enables you to create a new review or update an existing review from the P4 Pending Changelists and P4 Submitted Changelists views. When reviewing changes within Eclipse, ..."},"9":{y:0,u:"../Content/P4Eclipse/checkin.html",l:-1,t:" Checking in changes (working with changelists)",i:0.0272694786797049,a:" Checking in changes (working with changelists) To check in changes you have made to the files in a project, you  submit   \n  the  changelist  containing the files. Use changelists to structure your changes. \n For example, use a changelist to group the changes required to fix a bug or \n add a ..."},"10":{y:0,u:"../Content/P4Eclipse/folderdiff.html",l:-1,t:"Comparing folders using folder diff",i:0.0191361160542771,a:"The P4Eclipse folder diff feature enables you to recursively compare two paths or two revisions of the same path to display how the contents have changed.  In the Perforce perspective, right-click on the folder you want to compare. Select Folder Diff from the context menu. Folder diff indicates ..."},"11":{y:0,u:"../Content/P4Eclipse/patch.html",l:-1,t:"Patching projects",i:0.0191361160542771,a:"To share work without checking in changes, you can create patches, which are files that encode the changes made to a selected set of files. The resulting patch file can be applied by other users who want to see and try your changes. (The Perforce  shelving  feature is another way to share work ..."},"12":{y:0,u:"../Content/P4Eclipse/jobs.html",l:-1,t:"Defect tracking (Perforce jobs)",i:0.0191361160542771,a:"Perforce jobs enable you to track the status of work such as bug reports and \n feature requests. You can attach jobs to  changelists , to associate it with the \n file changes that implement the job. When you check in the changelist, the job status is updated. Jobs are listed in the Perforce ..."},"13":{y:0,u:"../Content/P4Eclipse/resolving.html",l:-1,t:"Team development and resolving conflicting changes",i:0.0667168507185842,a:"File conflicts  can occur when you  submit  a  changelist  containing a file that another \nuser has edited and checked in. When conflicts occur, Perforce schedules the \nconflict files for resolve. Conflicts must be resolved before the changelist that contains \nthe conflicting files can be ..."},"14":{y:0,u:"../Content/P4Eclipse/removing.html",l:-1,t:"Removing a project from Perforce control",i:0.0191361160542771,a:"To remove a project from Perforce control, right-click the project and choose \n  Team\u003eUnmanage. To verify that the project is no longer under Perforce \n control, right-click the project and choose Team. The only option displayed \n for an unmanaged project is Share Project... Although Perforce is no ..."},"15":{y:0,u:"../Content/P4Eclipse/deleteprojws.html",l:-1,t:"Deleting a project from your workspace",i:0.0191361160542771,a:"You can delete project files from your client workspace without deleting the project \n from the depot. Local files are removed but the project remains under Perforce control. \n To delete files from your workspace, right-click the project and choose Team\u003eRemove \n from Workspace. To restore the files, ..."},"16":{y:0,u:"../Content/P4Eclipse/deleteprojp4.html",l:-1,t:"Deleting a project from the depot",i:0.0191361160542771,a:"By default, when you delete a project, its files are marked for delete in Perforce \n and deleted when you  submit  the  changelist  that contains them. If you disable \n the Enable support for Workbench edit, \ndelete, rename and refactoring operations preference, \n you must manually open the files ..."},"17":{y:0,u:"../Content/P4Eclipse/tlv.html",l:-1,t:"Time-lapse View: Graphical Annotation Tool",i:0.0376403609854567,a:"Time-lapse View: Graphical annotation tool Time-lapse View displays an interactive graphical representation of a file\u0027s \n history, showing when lines were added, changed, and deleted, who made the changes, \n and when the changes were made. Time-lapse view enables you to browse forward \n and back ..."},"18":{y:0,u:"../Content/P4Eclipse/branching.html",l:-1,t:"Branching and merging",i:0.0191361160542771,a:"\t\n\n\n\nUsing P4Eclipse, you can branch Eclipse projects - for example, for release or experimental development - and merge changes between branches to obtain changes made by other users or to incorporate your changes into collaboratively-developed projects.\n Branching  Branch a project: Right-click ..."},"19":{y:0,u:"../Content/P4Eclipse/labels.html",l:-1,t:"Using labels",i:0.0191361160542771,a:"A Perforce label is a set of tagged file revisions. You can use labels to:  Keep track of all the file revisions contained in a particular release of software. For example,  you might tag a set of file revisions with a label of  release2.0.1. Specify groups of related file revisions in operations ..."},"20":{y:0,u:"../Content/P4Eclipse/mergequest.html",l:-1,t:"Merging and promoting using the Merge Quest tool",i:0.0191361160542771,a:"The Perforce Merge Quest tool enables you to graph the structure of your Helix Core Server by defining a hierarchy that you can use to propagate change between  codelines . There are no restrictions on the number of connections a codeline can have or the types of codelines that can be connected. You ..."},"21":{y:0,u:"../Content/P4Eclipse/preferences.html",l:-1,t:"Setting Preferences",i:0.0435362039305607,a:"Setting preferences To change the Perforce preferences, choose Window \u003e Preferences, expand \n the Team node, then expand the Perforce node. Click the node for the preferences you want to change. The following sections describe the preferences in more detail.  General Perforce settings:  Advanced ..."},"22":{y:0,u:"../Content/P4Eclipse/stream.html",l:-1,t:"Working with streams",i:0.250763474318534,a:"Streams provide an alternate approach to maintaining  codelines .\n Starting with release 2012.1, P4Eclipse \nprovides the following support for streams: Creating a Stream Spec Populating a Stream Viewing Stream Hierarchy Creating a Stream Client Copying and Merging Changes between Streams If your ..."},"23":{y:0,u:"../Content/P4Eclipse/filetypes.html",l:-1,t:"Perforce file types",i:0.0191361160542771,a:"Perforce assigns file types to determine whether files can be diffed and how \n they are stored. Perforce file types are as follows: text:Assigned to a file that contains only ASCII text. binary: Assigned to a non-text file. By default, the contents of each revision are stored in full and the file is ..."},"24":{y:0,u:"../Content/Shared/glossary.html",l:-1,t:"Glossary",i:0.0191361160542771,a:"Glossary"},"25":{y:0,u:"../Content/P4Eclipse/license.statements.html",l:-1,t:"License statements",i:0.0191361160542771,a:"License statements For licensing information for P4Eclipse and the third-party software included in this Perforce product, see the P4Eclipse License file . "},});